/**
 * vim: set ts=4 sw=4 et tw=99:
 * Initial Author(s):
 *  David Anderson <dvander@alliedmods.net>
 */
#ifndef _INCLUDE_MNK_PLATFORM_H_
#define _INCLUDE_MNK_PLATFORM_H_

#include <stdint.h>
#include <stdlib.h>
#include <assert.h>
#include <string.h>
#include <stdio.h>
#include <time.h>
#include <unistd.h>
#include <math.h>
#include <sys/time.h>

typedef uint64_t uint64;
typedef int64_t  int64;
typedef uint32_t uint32;
typedef int32_t  int32;
typedef uint16_t uint16;
typedef int16_t  int16;
typedef uint8_t  uint8;
typedef int8_t   int8;

class Profiler
{
public:
    void Start();
    void Stop();
    double Time();
private:
#if defined _MSC_VER
    LARGE_INTEGER start;
    LARGE_INTEGER stop;
#else
    struct timeval start;
    struct timeval stop;
#endif
};

#endif /* _INCLUDE_MNK_PLATFORM_H_ */
